> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all AI actions

GET https://api.contentful.com/spaces/{space_id}/ai/actions

Returns all the AI Actions that exist in a given space.

Reference: https://contentful.com/developers/docs/references/content-management-api/ai-actions/get-all-ai-actions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string

### Query parameters

- `status` (enum, optional) — Filter AI Actions by their publication status
  - Allowed values: `published`, `all`
- `skip` (double, optional) — The number of elements to skip before returning matching AI Actions.
- `limit` (double, optional) — Limit the number of AI Actions being returned in the response.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "configuration": {
        "modelTemperature": 0.1,
        "modelType": "anthropic.claude-3-5-sonnet"
      },
      "description": "Convert text to another language.",
      "instruction": {
        "template": "You are an expert in translating text to {{var.t82kaxhw0s13}}. Your task is to convert the provided content to the specified language while maintaining the original message and intent.",
        "variables": [
          {
            "description": "Target language or region for the translation.",
            "name": "Locale",
            "type": "Locale"
          }
        ]
      },
      "name": "Translate",
      "sys": {
        "createdAt": "2025-03-27T09:27:43.654Z",
        "createdBy": {
          "sys": {
            "id": "1xGZIRXr2WPnsLkKfREo0z",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "3D5GGn5FlhszToS2Sbkfk8",
        "publishedAt": "2025-03-27T09:39:33.032Z",
        "publishedBy": {
          "sys": {
            "id": "1xGZIRXr2WPnsLkKfREo0z",
            "linkType": "User",
            "type": "Link"
          }
        },
        "publishedVersion": 1,
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "type": "AiAction",
        "updatedAt": "2025-03-27T09:39:33.032Z",
        "updatedBy": {
          "sys": {
            "id": "1xGZIRXr2WPnsLkKfREo0z",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 1
      },
      "testCases": [
        {
          "type": "Text",
          "value": "This is an example text"
        }
      ]
    }
  ],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
client.getSpace('<space_id>')
.then((space) => space.getAiActions())
.then((aiAction) => console.log(aiAction))
.catch(console.error)
```

```javascript JavaScript
client.aiAction.getMany({ spaceId: '<space_id>' });
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```